%global fontname impallari-lobster
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.4
Release:        3%{?dist}
Summary:        Hand written font with various ligatures for better connecting of letters

Group:          User Interface/X
License:        OFL
URL:            http://www.impallari.com/lobster/
Source0:        http://www.impallari.com/lobster/releases/lobster-font-1.4.zip  
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

Obsoletes: lobster-fonts < 1.3-2

%description
Hand written font with various ligatures for better connecting
of letters.

%prep
%setup -q -c 
pushd Lobster\ 1.4/
for file in License.txt Readme.txt ; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done
popd


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Lobster\ 1.4/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.otf

%doc Lobster\ 1.4/Readme.txt Lobster\ 1.4/License.txt


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Parag Nemade <pnemade AT redhat.com> - 1.4-1
- update to next upstream release 1.4

* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 1.3-2
- Renamed to follow fonts package naming guidelines.

* Mon May 24 2010 Parag Nemade <pnemade AT redhat.com> - 1.3-1
- Initial Fedora release.
